Skip to content

List the sub-access items for an access item

Request

OAuth 2.0 scope:
  • okta.governance.securityAccessReviews.admin.read
Admin roles:
  • SUPER_ADMIN
Permissions:
  • okta.governance.securityAccessReviews.admin.read

Lists the sub-access items for an access item from a security access review.

A sub-access item refers to the access of a resource that is a part of a top-level resource in an access item. For example, an access item can describe the access of app, and the sub-access items can describe the access of groups, entitlement values, or entitlement bundles that belong to the app.

Path
securityAccessReviewIdstringrequired

The ID of the security access review

securityAccessReviewAccessIdstringrequired

The ID of the access item in a security access review

Query
filterstring

A filter expression that filters sub-access items.

Note: Query parameter percent encoding is required. See Percent-encoding.

Examples:
Filter by name
filter=name co "Git"
Filter by resourceType
filter=resourceType eq "GROUP"
Filter by priority
filter=priority eq "HIGH"
Filter by sodConflictSeverity
filter=sodConflictSeverity eq "HIGH"
Filter by assignmentMethodSeverity
filter=assignmentMethodSeverity eq "HIGH"
Filter by pastGovernanceDecisionsSeverity
filter=pastGovernanceDecisionsSeverity eq "HIGH"
Filter by usageHistorySeverity
filter=usageHistorySeverity eq "HIGH"
Filter by governanceLabel
filter=governanceLabel co "Crown Jewel"
orderByArray of strings, = 1 items

A field by which results can be sorted. For now, sorting by a single field is supported.

Note: Query parameter percent encoding is required. See Percent-encoding

Default:["priority desc"]
Examples:
Order by priority
orderBy=priority desc
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
GET
/governance/api/v2/security-access-reviews/{securityAccessReviewId}/accesses/{securityAccessReviewAccessId}/sub-accesses
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/security-access-reviews/{securityAccessReviewId}/accesses/{securityAccessReviewAccessId}/sub-accesses?filter=name%20co%20%22Git%22&orderBy=priority%20desc&after=00u68w6vzKLultXS97g6&limit=20'

Responses

A successful security access review access items get response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects, [ 0 .. 200 ] items(security-access-review-sub-access-item)

List of access items in the security access review

Response
{ "data": [ {}, {}, {} ], "_links": { "self": {} } }